version: '2'

services:
  app:
    build:
      context: ./
      dockerfile: Dockerfile
    image: tegrus/express
    ports:
      - '3333:3333'
    links:
      - postgres
      - redis
    depends_on:
      - postgres
      - redis
    environment:
      - REDIS_HOST=redis
      - REDIS_PORT=6379
      - CLIENT_ID='5ca814a2-7096-477f-9208-2a1cdd265d1c'
      - CLIENT_SECRET='ab0768d5-bff4-43f2-a769-dbe93abed82b'
      - SCOPE='contacts'
      - APP_ID=293149
      - PORT=3333
  postgres:
    container_name: 'postgres'
    image: 'postgres:13.3-alpine'
    ports:
      - '127.0.0.1:5432:5432'
    volumes:
      - 'pgdata:/var/lib/postgresql/data/'

  redis:
    container_name: 'redis'
    image: 'redis:6.2.3-alpine'
    command: ['redis-server', '--bind', 'redis', '--port', '6379']
    ports:
      - '6379:6379'
    volumes:
      - 'redisdata:/data'

volumes:
  pgdata:
  redisdata:
